diff -r 71f2c8fde0c5 -r e40a599d68cf src/__polynom__.cc
--- a/src/__polynom__.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/__polynom__.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -222,88 +222,79 @@
       make_coding(coding_vec,N,N,DIM-1,1,0);
       octave_idx_type *coding = coding_vec.data();
 
-      if (! error_state)
-        {
-          // Promote warnings connected with singular matrixes to errors
-          set_warning_state ("Octave:nearly-singular-matrix","error");
-          set_warning_state ("Octave:singular-matrix","error");
- 
-          // Make the fit
-          make_fit (series, coding, results, INSAMPLE, N, DIM, DELAY,
-                    maxencode, pars);
+      // Promote warnings connected with singular matrixes to errors
+      set_warning_state ("Octave:nearly-singular-matrix","error");
+      set_warning_state ("Octave:singular-matrix","error");
+
+      // Make the fit
+      make_fit (series, coding, results, INSAMPLE, N, DIM, DELAY,
+                maxencode, pars);
+
+      // Create outputs
 
-          // If error encountered during the fit there is no sense to continue
-          if (error_state)
-            {
-              return retval;
-            }
+      // Create output that contains the number of free parameters
+      // old fprintf(file,"#number of free parameters= %d\n\n",pars);
+      octave_idx_type free_par = pars;
 
-          // Create outputs
+      // Create output that contains the norm used for the fit
+      // old fprintf(file,"#used norm for the fit= %e\n",std_dev);
+      double fit_norm = std_dev;
 
-          // Create output that contains the number of free parameters
-          // old fprintf(file,"#number of free parameters= %d\n\n",pars);
-          octave_idx_type free_par = pars;
-
-          // Create output that contains the norm used for the fit
-          // old fprintf(file,"#used norm for the fit= %e\n",std_dev);
-          double fit_norm = std_dev;
-
-          // Create coefficients output
-          Matrix coeffs (pars, DIM + 1);
-          for (octave_idx_type j=0;j<pars;j++)
+      // Create coefficients output
+      Matrix coeffs (pars, DIM + 1);
+      for (octave_idx_type j=0;j<pars;j++)
+        {
+          decode(N,opar,DIM-1,coding[j],maxencode);
+          octave_idx_type sumpar=0;
+          for (octave_idx_type k=0;k<DIM;k++)
             {
-              decode(N,opar,DIM-1,coding[j],maxencode);
-              octave_idx_type sumpar=0;
-              for (octave_idx_type k=0;k<DIM;k++)
-                {
-                  sumpar += opar[k];
-                //  old fprintf(file,"%d ",opar[k]);
-                  coeffs(j, k) = opar[k];
-                }
-          //  old fprintf(file,"%e\n",results[j]
-          //                          /pow(std_dev,(double)(sumpar-1)));
-              coeffs(j,DIM) = results[j]/pow(std_dev,(double)(sumpar-1));
-
+              sumpar += opar[k];
+            //  old fprintf(file,"%d ",opar[k]);
+              coeffs(j, k) = opar[k];
             }
+      //  old fprintf(file,"%e\n",results[j]
+      //                          /pow(std_dev,(double)(sumpar-1)));
+          coeffs(j,DIM) = results[j]/pow(std_dev,(double)(sumpar-1));
 
-          // Create sample error
-          // 1st element of sample_error is the insample error
-          // 2nd element of sample_error is the out of sample error (if exists)
-          NDArray sample_err (dim_vector (1,1));
+        }
+
+      // Create sample error
+      // 1st element of sample_error is the insample error
+      // 2nd element of sample_error is the out of sample error (if exists)
+      NDArray sample_err (dim_vector (1,1));
 
-    // old in_error = make_error((unsigned long)0,INSAMPLE)
-    //     fprintf(file,"#average insample error= %e\n",
-    //             sqrt(in_error)*std_dev);
-          sample_err(0) = sqrt(make_error(series, coding, results, N, DIM,
-                                          DELAY, maxencode, pars,
-                                          0,INSAMPLE))
+      // old in_error = make_error((unsigned long)0,INSAMPLE)
+      //     fprintf(file,"#average insample error= %e\n",
+      //             sqrt(in_error)*std_dev);
+      sample_err(0) = sqrt(make_error(series, coding, results, N, DIM,
+                                      DELAY, maxencode, pars,
+                                      0,INSAMPLE))
+                      * std_dev;
+
+      if (INSAMPLE < LENGTH) 
+        {
+        // old out_error=make_error(INSAMPLE,LENGTH);
+        //     fprintf(file,"#average out of sample error= %e\n",
+        //             sqrt(out_error)*std_dev);
+          sample_err.resize (dim_vector (2,1));
+          sample_err(1) = sqrt (make_error (series, coding, results, N,
+                                            DIM, DELAY, maxencode, pars,
+                                            INSAMPLE, LENGTH)) 
                           * std_dev;
-
-          if (INSAMPLE < LENGTH) 
-            {
-            // old out_error=make_error(INSAMPLE,LENGTH);
-            //     fprintf(file,"#average out of sample error= %e\n",
-            //             sqrt(out_error)*std_dev);
-              sample_err.resize (dim_vector (2,1));
-              sample_err(1) = sqrt (make_error (series, coding, results, N,
-                                                DIM, DELAY, maxencode, pars,
-                                                INSAMPLE, LENGTH)) 
-                              * std_dev;
-            }
+        }
 
-          // Create forecast
-          NDArray forecast (dim_vector (0,0));
-          if (CLENGTH > 0)
-            make_cast(forecast, series, coding, results, LENGTH, CLENGTH, N,
-                      DIM, DELAY, maxencode, pars, std_dev);
+      // Create forecast
+      NDArray forecast (dim_vector (0,0));
+      if (CLENGTH > 0)
+        make_cast(forecast, series, coding, results, LENGTH, CLENGTH, N,
+                  DIM, DELAY, maxencode, pars, std_dev);
 
-          // Assign outputs
-          retval(0) = free_par;
-          retval(1) = fit_norm;
-          retval(2) = coeffs;
-          retval(3) = sample_err;
-          retval(4) = forecast;
-        }
+      // Assign outputs
+      retval(0) = free_par;
+      retval(1) = fit_norm;
+      retval(2) = coeffs;
+      retval(3) = sample_err;
+      retval(4) = forecast;
     }
   return retval;
 }
diff -r 71f2c8fde0c5 -r e40a599d68cf src/__rbf__.cc
--- a/src/__rbf__.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/__rbf__.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -152,169 +152,161 @@
         for (octave_idx_type j=0;j<DIM;j++)
           center[i][j]=series[(DIM-1)*DELAY-j*DELAY+(i*cstep)/(CENTER-1)];
 
-      if (! error_state)
-        {
+      // Promote warnings connected with singular matrixes to errors
+      set_warning_state ("Octave:nearly-singular-matrix","error");
+      set_warning_state ("Octave:singular-matrix","error");
 
-          // Promote warnings connected with singular matrixes to errors
-          set_warning_state ("Octave:nearly-singular-matrix","error");
-          set_warning_state ("Octave:singular-matrix","error");
-
-          // Calculate coefficients
-          if (setdrift)
-            drift(CENTER, DIM, center);
-          varianz=avdistance(CENTER, DIM, center);
+      // Calculate coefficients
+      if (setdrift)
+        drift(CENTER, DIM, center);
+      varianz=avdistance(CENTER, DIM, center);
 
-          // old make_fit();
-          Matrix mat (CENTER + 1, CENTER + 1);
-          OCTAVE_LOCAL_BUFFER (double *, mat_arr, CENTER + 1);
-          for (octave_idx_type i=0;i <CENTER + 1;i++)
-            mat_arr[i]=mat.fortran_vec () + (CENTER + 1) * i;
+      // old make_fit();
+      Matrix mat (CENTER + 1, CENTER + 1);
+      OCTAVE_LOCAL_BUFFER (double *, mat_arr, CENTER + 1);
+      for (octave_idx_type i=0;i <CENTER + 1;i++)
+        mat_arr[i]=mat.fortran_vec () + (CENTER + 1) * i;
 
-          for (octave_idx_type i=0;i<=CENTER;i++) {
-            coefs_arr[i]=0.0;
-            for (octave_idx_type j=0;j<=CENTER;j++)
-              mat_arr[i][j]=0.0;
-          }
+      for (octave_idx_type i=0;i<=CENTER;i++) {
+        coefs_arr[i]=0.0;
+        for (octave_idx_type j=0;j<=CENTER;j++)
+          mat_arr[i][j]=0.0;
+      }
 
-          OCTAVE_LOCAL_BUFFER (double, hcen, CENTER);
+      OCTAVE_LOCAL_BUFFER (double, hcen, CENTER);
 
-          for (octave_idx_type n=(DIM-1)*DELAY;n<INSAMPLE-STEP;n++) {
-            octave_idx_type nst=n+STEP;
-            for (octave_idx_type i=0;i<CENTER;i++)
-              hcen[i]=rbf(DELAY, DIM, varianz, &series[n],center[i]);
-            coefs_arr[0] += series[nst];
-            mat_arr[0][0] += 1.0;
-            for (octave_idx_type i=1;i<=CENTER;i++)
-              mat_arr[i][0] += hcen[i-1];
-            for (octave_idx_type i=1;i<=CENTER;i++) {
-              double h = hcen[i-1];
-              coefs_arr[i] += series[nst] * h;
-              for (octave_idx_type j=1;j<=i;j++)
-                mat_arr[i][j] += h*hcen[j-1];
-            }
-          }
-          
-          double h=(double)(INSAMPLE-STEP-(DIM-1)*DELAY);
-          for (octave_idx_type i=0;i<=CENTER;i++) {
-            coefs_arr[i] /= h;
-            for (octave_idx_type j=0;j<=i;j++) {
-              mat_arr[i][j] /= h;
-              mat_arr[j][i]=mat_arr[i][j];
-            }
-          }
+      for (octave_idx_type n=(DIM-1)*DELAY;n<INSAMPLE-STEP;n++) {
+        octave_idx_type nst=n+STEP;
+        for (octave_idx_type i=0;i<CENTER;i++)
+          hcen[i]=rbf(DELAY, DIM, varianz, &series[n],center[i]);
+        coefs_arr[0] += series[nst];
+        mat_arr[0][0] += 1.0;
+        for (octave_idx_type i=1;i<=CENTER;i++)
+          mat_arr[i][0] += hcen[i-1];
+        for (octave_idx_type i=1;i<=CENTER;i++) {
+          double h = hcen[i-1];
+          coefs_arr[i] += series[nst] * h;
+          for (octave_idx_type j=1;j<=i;j++)
+            mat_arr[i][j] += h*hcen[j-1];
+        }
+      }
+      
+      double h=(double)(INSAMPLE-STEP-(DIM-1)*DELAY);
+      for (octave_idx_type i=0;i<=CENTER;i++) {
+        coefs_arr[i] /= h;
+        for (octave_idx_type j=0;j<=i;j++) {
+          mat_arr[i][j] /= h;
+          mat_arr[j][i]=mat_arr[i][j];
+        }
+      }
 
-          // old solvele(mat_arr,coefs_arr, CENTER+1);
-          coefs = mat.solve(coefs);
-          coefs_arr = coefs.fortran_vec ();// coefs takes up new memory space
+      // old solvele(mat_arr,coefs_arr, CENTER+1);
+      coefs = mat.solve(coefs);
+      coefs_arr = coefs.fortran_vec ();// coefs takes up new memory space
 
-          // If solving the matrix generated errors do not continue
-          if (error_state)
-            return retval;
-
-          // end make_fit()
+      // end make_fit()
 
 
-          // Create outputs
-
-          // Create centers
-          Matrix centers (CENTER, DIM); 
-          for (octave_idx_type i=0;i<CENTER;i++) 
-              for (octave_idx_type j=0;j<DIM;j++)
-                {
-                  // old fprintf(stdout," %e",center[i][j]*interval+min_val);
-                  centers(i,j) = center[i][j]*interval+min_val;
-                }
+      // Create outputs
 
-          // Create variance
-          // old fprintf(stdout,"#variance= %e\n",varianz*interval);
-          double variance_val = varianz*interval;
-
-          // Create coefficients
-          NDArray coeff (dim_vector(CENTER +1, 1));
-          //  old fprintf(stdout,"#%e\n",coefs[0]*interval+min_val);
-          coeff(0) = coefs_arr[0]*interval+min_val;
-          for (octave_idx_type i=1;i<=CENTER;i++)
+      // Create centers
+      Matrix centers (CENTER, DIM); 
+      for (octave_idx_type i=0;i<CENTER;i++) 
+          for (octave_idx_type j=0;j<DIM;j++)
             {
-            // old fprintf(stdout,"#%e\n",coefs[i]*interval);
-              coeff(i) = coefs_arr[i]*interval;
+              // old fprintf(stdout," %e",center[i][j]*interval+min_val);
+              centers(i,j) = center[i][j]*interval+min_val;
             }
 
-          // Calculate insample error
-          double sigma = 0.0;
-          av = 0.0;
-          for (octave_idx_type i=0;i<INSAMPLE;i++) {
+      // Create variance
+      // old fprintf(stdout,"#variance= %e\n",varianz*interval);
+      double variance_val = varianz*interval;
+
+      // Create coefficients
+      NDArray coeff (dim_vector(CENTER +1, 1));
+      //  old fprintf(stdout,"#%e\n",coefs[0]*interval+min_val);
+      coeff(0) = coefs_arr[0]*interval+min_val;
+      for (octave_idx_type i=1;i<=CENTER;i++)
+        {
+        // old fprintf(stdout,"#%e\n",coefs[i]*interval);
+          coeff(i) = coefs_arr[i]*interval;
+        }
+
+      // Calculate insample error
+      double sigma = 0.0;
+      av = 0.0;
+      for (octave_idx_type i=0;i<INSAMPLE;i++) {
+        av += series[i];
+        sigma += series[i]*series[i];
+      }
+      av /= INSAMPLE;
+      sigma=sqrt(fabs(sigma/INSAMPLE-av*av));
+
+      // Create sample error
+      // 1st element of sample_error is the insample error
+      // 2nd element of sample_error is the out of sample error (if exists)
+      NDArray sample_error (dim_vector(1,1));
+      // old oldfprintf(stdout,"#insample error= %e\n",
+      //                forecast_error(0LU,INSAMPLE)/sigma);
+      sample_error(0) = forecast_error(series, center, coefs_arr, CENTER, 
+                                       DELAY, DIM, STEP, varianz,
+                                       0,INSAMPLE)
+                        / sigma;
+
+      if (INSAMPLE < LENGTH)
+        {
+          // Calculate out of sample error
+          av=sigma=0.0;
+          for (octave_idx_type i=INSAMPLE;i<LENGTH;i++) {
             av += series[i];
             sigma += series[i]*series[i];
           }
-          av /= INSAMPLE;
-          sigma=sqrt(fabs(sigma/INSAMPLE-av*av));
-
-          // Create sample error
-          // 1st element of sample_error is the insample error
-          // 2nd element of sample_error is the out of sample error (if exists)
-          NDArray sample_error (dim_vector(1,1));
-          // old oldfprintf(stdout,"#insample error= %e\n",
-          //                forecast_error(0LU,INSAMPLE)/sigma);
-          sample_error(0) = forecast_error(series, center, coefs_arr, CENTER, 
-                                           DELAY, DIM, STEP, varianz,
-                                           0,INSAMPLE)
-                            / sigma;
+          av /= (LENGTH-INSAMPLE);
+          sigma=sqrt(fabs(sigma/(LENGTH-INSAMPLE)-av*av));
 
-          if (INSAMPLE < LENGTH)
-            {
-              // Calculate out of sample error
-              av=sigma=0.0;
-              for (octave_idx_type i=INSAMPLE;i<LENGTH;i++) {
-                av += series[i];
-                sigma += series[i]*series[i];
-              }
-              av /= (LENGTH-INSAMPLE);
-              sigma=sqrt(fabs(sigma/(LENGTH-INSAMPLE)-av*av));
+          // old fprintf(stdout,"#out of sample error= %e\n",
+          //             forecast_error(INSAMPLE,LENGTH)/sigma);
+          sample_error.resize (dim_vector(2,1));
+          sample_error(1) = forecast_error(series, center, coefs_arr,
+                                           CENTER, DELAY, DIM, STEP,
+                                           varianz, INSAMPLE, LENGTH)
+                            / sigma;
+        }
 
-              // old fprintf(stdout,"#out of sample error= %e\n",
-              //             forecast_error(INSAMPLE,LENGTH)/sigma);
-              sample_error.resize (dim_vector(2,1));
-              sample_error(1) = forecast_error(series, center, coefs_arr,
-                                               CENTER, DELAY, DIM, STEP,
-                                               varianz, INSAMPLE, LENGTH)
-                                / sigma;
-            }
+      // Create forecast if MAKECAST == true
+      NDArray forecast (dim_vector (0,0));
+      if (MAKECAST)
+        {
+        // old make_cast ();
+
+          forecast.resize(dim_vector(CLENGTH,1));
+
+          octave_idx_type dim=(DIM-1)*DELAY;
 
-          // Create forecast if MAKECAST == true
-          NDArray forecast (dim_vector (0,0));
-          if (MAKECAST)
-            {
-            // old make_cast ();
-
-              forecast.resize(dim_vector(CLENGTH,1));
-
-              octave_idx_type dim=(DIM-1)*DELAY;
-
-              OCTAVE_LOCAL_BUFFER (double, cast, dim + 1);
-              for (octave_idx_type i=0;i<=dim;i++)
-                cast[i]=series[LENGTH-1-dim+i];
+          OCTAVE_LOCAL_BUFFER (double, cast, dim + 1);
+          for (octave_idx_type i=0;i<=dim;i++)
+            cast[i]=series[LENGTH-1-dim+i];
 
-              for (octave_idx_type n=0;n<CLENGTH;n++)
-                {
-                  double new_el=coefs_arr[0];
-                  for (octave_idx_type i=1;i<=CENTER;i++)
-                    new_el += coefs_arr[i]*rbf(DELAY,DIM,varianz,&cast[dim],
-                                           center[i-1]);
-                //  old  fprintf(out,"%e\n",new_el*interval+min_val);
-                  forecast(n) = new_el*interval+min_val;
-                  for (octave_idx_type i=0;i<dim;i++)
-                    cast[i]=cast[i+1];
-                  cast[dim]=new_el;
-                }
+          for (octave_idx_type n=0;n<CLENGTH;n++)
+            {
+              double new_el=coefs_arr[0];
+              for (octave_idx_type i=1;i<=CENTER;i++)
+                new_el += coefs_arr[i]*rbf(DELAY,DIM,varianz,&cast[dim],
+                                       center[i-1]);
+            //  old  fprintf(out,"%e\n",new_el*interval+min_val);
+              forecast(n) = new_el*interval+min_val;
+              for (octave_idx_type i=0;i<dim;i++)
+                cast[i]=cast[i+1];
+              cast[dim]=new_el;
             }
+        }
 
-          // Create output
-          retval(0) = centers; 
-          retval(1) = variance_val; // variance;
-          retval(2) = coeff; 
-          retval(3) = sample_error; // sample error [in sample; out of sample];
-          retval(4) = forecast; // forecast values;
-        }
+      // Create output
+      retval(0) = centers; 
+      retval(1) = variance_val; // variance;
+      retval(2) = coeff; 
+      retval(3) = sample_error; // sample error [in sample; out of sample];
+      retval(4) = forecast; // forecast values;
     }
   return retval;
 }
diff -r 71f2c8fde0c5 -r e40a599d68cf src/__surrogates__.cc
--- a/src/__surrogates__.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/__surrogates__.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -70,34 +70,30 @@
       F77_INT ispec         = TO_F77_INT (args(3).idx_type_value ());
       double seed           = args(4).double_value ();
 
-      if (! error_state)
-        {
+      F77_INT nmaxp = TO_F77_INT (input.rows ());
+      F77_INT mcmax = TO_F77_INT (input.columns ());
 
-          F77_INT nmaxp = TO_F77_INT (input.rows ());
-          F77_INT mcmax = TO_F77_INT (input.columns ());
+      Cell surro_data (dim_vector (nsur,1));
+      Matrix surro_tmp (input.dims ());
+      Matrix pars (nsur, 2);
 
-          Cell surro_data (dim_vector (nsur,1));
-          Matrix surro_tmp (input.dims ());
-          Matrix pars (nsur, 2);
+      for (octave_idx_type i = 0; i < nsur; i++)
+        {
+          F77_INT it_tmp;
+          double rel_discrepency_tmp;
 
-          for (octave_idx_type i = 0; i < nsur; i++)
-            {
-              F77_INT it_tmp;
-              double rel_discrepency_tmp;
+          F77_XFCN (ts_surrogates, TS_SURROGATES,
+                    (input.fortran_vec (), nmaxp, mcmax, imax, ispec,
+                     seed, surro_tmp.fortran_vec (), it_tmp,
+                     rel_discrepency_tmp));
 
-              F77_XFCN (ts_surrogates, TS_SURROGATES,
-                        (input.fortran_vec (), nmaxp, mcmax, imax, ispec,
-                         seed, surro_tmp.fortran_vec (), it_tmp,
-                         rel_discrepency_tmp));
+          surro_data(i) = surro_tmp;
+          pars(i,0)     = it_tmp;
+          pars(i,1)     = rel_discrepency_tmp;
+        }
 
-              surro_data(i) = surro_tmp;
-              pars(i,0)     = it_tmp;
-              pars(i,1)     = rel_discrepency_tmp;
-            }
-
-          retval(0) = surro_data;
-          retval(1) = pars;
-        }
+      retval(0) = surro_data;
+      retval(1) = pars;
 
     }
   return retval;
diff -r 71f2c8fde0c5 -r e40a599d68cf src/__upo__.cc
--- a/src/__upo__.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/__upo__.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -80,31 +80,26 @@
       F77_INT icen    = TO_F77_INT (args(9).int_value());
 
 
-
-      if (! error_state)
-        {
+      F77_INT lines_read = TO_F77_INT (in_out1.numel());
+      // Generating output vectors with estimated lengths
+      // The extra length (+1) is to store the actual lengths
+      NDArray olens (dim_vector (icen+1,1));
+      NDArray orbit_data (dim_vector ( (icen*20<lines_read?\
+                                                icen*20:lines_read)+1, 1));
+      NDArray acc (dim_vector (icen+1,1));
+      NDArray stability (dim_vector (icen+1,1));
 
-          F77_INT lines_read = TO_F77_INT (in_out1.numel());
-          // Generating output vectors with estimated lengths
-          // The extra length (+1) is to store the actual lengths
-          NDArray olens (dim_vector (icen+1,1));
-          NDArray orbit_data (dim_vector ( (icen*20<lines_read?\
-                                                    icen*20:lines_read)+1, 1));
-          NDArray acc (dim_vector (icen+1,1));
-          NDArray stability (dim_vector (icen+1,1));
-
-          F77_XFCN (ts_upo, TS_UPO,
-                    (m, eps, frac,teq, tdis, h, tacc, iper,icen, lines_read,
-                     in_out1.fortran_vec(), olens.fortran_vec(), 
-                     orbit_data.fortran_vec(), orbit_data.numel(), 
-                     acc.fortran_vec(), stability.fortran_vec()));
+      F77_XFCN (ts_upo, TS_UPO,
+                (m, eps, frac,teq, tdis, h, tacc, iper,icen, lines_read,
+                 in_out1.fortran_vec(), olens.fortran_vec(), 
+                 orbit_data.fortran_vec(), orbit_data.numel(), 
+                 acc.fortran_vec(), stability.fortran_vec()));
 
 
-          retval(0) = olens;
-          retval(1) = orbit_data;
-          retval(2) = acc;
-          retval(3) = stability;
-        }
+      retval(0) = olens;
+      retval(1) = orbit_data;
+      retval(2) = acc;
+      retval(3) = stability;
     }
   return retval;
 }
diff -r 71f2c8fde0c5 -r e40a599d68cf src/__xzero__.cc
--- a/src/__xzero__.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/__xzero__.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -111,38 +111,35 @@
       double epsilon=EPS0/EPSF;
       octave_idx_type clength=(CLENGTH <= LENGTH) ? CLENGTH-STEP : LENGTH-STEP;
 
-      if (! error_state)
+      // Calculate fit
+      while (!alldone) {
+        alldone=1;
+        epsilon*=EPSF;
+        make_box(series1,box,list,LENGTH-STEP,NMAX,DIM,DELAY,epsilon);
+        for (octave_idx_type i=(DIM-1)*DELAY;i<clength;i++)
+          if (!done[i]) {
+            octave_idx_type actfound;
+            actfound=find_neighbors(series1,box,list,series2+i,LENGTH,NMAX,
+                                    DIM,DELAY,epsilon,found);
+            if (actfound >= MINN) {
+              for (octave_idx_type j=1;j<=STEP;j++)
+                error_array[j-1] += make_fit (series1, series2, found,
+                                              i,actfound,j);
+              done[i]=1;
+            }
+            alldone &= done[i];
+          }
+      }
+
+      // Create output
+      Matrix output (STEP,1);
+      for (octave_idx_type i=0;i<STEP;i++)
         {
-          // Calculate fit
-          while (!alldone) {
-            alldone=1;
-            epsilon*=EPSF;
-            make_box(series1,box,list,LENGTH-STEP,NMAX,DIM,DELAY,epsilon);
-            for (octave_idx_type i=(DIM-1)*DELAY;i<clength;i++)
-              if (!done[i]) {
-                octave_idx_type actfound;
-                actfound=find_neighbors(series1,box,list,series2+i,LENGTH,NMAX,
-                                        DIM,DELAY,epsilon,found);
-                if (actfound >= MINN) {
-                  for (octave_idx_type j=1;j<=STEP;j++)
-                    error_array[j-1] += make_fit (series1, series2, found,
-                                                  i,actfound,j);
-                  done[i]=1;
-                }
-                alldone &= done[i];
-              }
-          }
-
-          // Create output
-          Matrix output (STEP,1);
-          for (octave_idx_type i=0;i<STEP;i++)
-            {
-//            old fprintf(stdout,"%lu %e\n",i+1,
-//                      sqrt(error_array[i]/(clength-(DIM-1)*DELAY))/rms2);
-              output(i,0) = sqrt(error_array[i]/(clength-(DIM-1)*DELAY))/rms2;
-            }
-          retval(0) = output;
+          // old fprintf(stdout,"%lu %e\n",i+1,
+          //           sqrt(error_array[i]/(clength-(DIM-1)*DELAY))/rms2);
+          output(i,0) = sqrt(error_array[i]/(clength-(DIM-1)*DELAY))/rms2;
         }
+      retval(0) = output;
 
     }
   return retval;
diff -r 71f2c8fde0c5 -r e40a599d68cf src/lazy.cc
--- a/src/lazy.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/lazy.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -140,34 +140,31 @@
                        "Number of iterations (IMAX) must be a positive "
                        "integer");
 
-      if (! error_state)
-        {
-        // If vector is in 1 row: transpose (we will transpose the output to fit)
-            transposed = 0;
+      // If vector is in 1 row: transpose (we will transpose the output to fit)
+      transposed = 0;
 
-          if ((rows == 1) && (cols > 1))
-            {
-              transposed = 1;
-              in_out1    = in_out1.transpose();
-            }
+      if ((rows == 1) && (cols > 1))
+        {
+          transposed = 1;
+          in_out1    = in_out1.transpose();
+        }
 
-          F77_INT lines_read = TO_F77_INT (in_out1.numel());
-          NDArray in_out2 (Matrix (lines_read, 1));
+      F77_INT lines_read = TO_F77_INT (in_out1.numel());
+      NDArray in_out2 (Matrix (lines_read, 1));
 
-          F77_XFCN (ts_lazy, TS_LAZY,
-                    (m, rv, imax, lines_read,
-                      in_out1.fortran_vec(), in_out2.fortran_vec()));
+      F77_XFCN (ts_lazy, TS_LAZY,
+                (m, rv, imax, lines_read,
+                  in_out1.fortran_vec(), in_out2.fortran_vec()));
 
-          // Transpose the output to resemble the input
-          if (transposed)
-          {
-            in_out1 = in_out1.transpose();
-            in_out2 = in_out2.transpose();
-          }
+      // Transpose the output to resemble the input
+      if (transposed)
+      {
+        in_out1 = in_out1.transpose();
+        in_out2 = in_out2.transpose();
+      }
 
-          retval(0) = in_out1;
-          retval(1) = in_out2;
-        }
+      retval(0) = in_out1;
+      retval(1) = in_out2;
     }
   return retval;
 }
diff -r 71f2c8fde0c5 -r e40a599d68cf src/mutual.cc
--- a/src/mutual.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/mutual.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -193,60 +193,57 @@
       int32NDArray h2 (dim_vector(partitions, partitions));
       OCTAVE_LOCAL_BUFFER (long, array, length);
 
-      if (! error_state)
-        {
-          // Load array
+      // Load array
 
-          // Rescale data and load array
-          // NOTE: currently supports only vectors so (dim == 1) always
-          if (dim == 1){
-          double mint, interval;
-          rescale_data(input,0,length,&mint,&interval);
+      // Rescale data and load array
+      // NOTE: currently supports only vectors so (dim == 1) always
+      if (dim == 1){
+      double mint, interval;
+      rescale_data(input,0,length,&mint,&interval);
 
-          for (octave_idx_type i=0;i<length;i++)
-            if (input(i,0) < 1.0)
-              array[i]=(long)(input(i,0)*(double)partitions);
-            else
-              array[i]=partitions-1;
-          }
+      for (octave_idx_type i=0;i<length;i++)
+        if (input(i,0) < 1.0)
+          array[i]=(long)(input(i,0)*(double)partitions);
+        else
+          array[i]=partitions-1;
+      }
 
-          double shannon = make_cond_entropy (0, h1, h11, h2, array, length,
-                                              partitions);
-          if (corrlength >= (long)length)
-            corrlength=length-1;
+      double shannon = make_cond_entropy (0, h1, h11, h2, array, length,
+                                          partitions);
+      if (corrlength >= (long)length)
+        corrlength=length-1;
 
-          // Construct the output
-          Matrix delay (corrlength+1,1);
-          // To save memory
-          int minf_len = 1;
+      // Construct the output
+      Matrix delay (corrlength+1,1);
+      // To save memory
+      int minf_len = 1;
 
-          if (nargout > 1)
-            minf_len = corrlength+1;
-          Matrix mutual_inf (minf_len,1);
+      if (nargout > 1)
+        minf_len = corrlength+1;
+      Matrix mutual_inf (minf_len,1);
 
-          // Assign output
-          delay(0,0)      = 0;
-          mutual_inf(0,0) = shannon;
-          for (octave_idx_type tau=1;tau<=corrlength;tau++) {
+      // Assign output
+      delay(0,0)      = 0;
+      mutual_inf(0,0) = shannon;
+      for (octave_idx_type tau=1;tau<=corrlength;tau++) {
 
-  //          fprintf(stdout,"%ld %e %e\n",tau,condent,condent/log((double)partitions));
-            delay(tau,0) = tau;
-            if (nargout > 1)
-              {
-                mutual_inf(tau,0) = make_cond_entropy(tau, h1, h11, h2, array,
-                                                      length, partitions);
-              }
+        // fprintf(stdout,"%ld %e %e\n",tau,condent,condent/log((double)partitions));
+        delay(tau,0) = tau;
+        if (nargout > 1)
+          {
+            mutual_inf(tau,0) = make_cond_entropy(tau, h1, h11, h2, array,
+                                                  length, partitions);
           }
+      }
 
-          if (transposed)
-            {
-              delay          = delay.transpose();
-              if (nargout > 1)
-                mutual_inf     = mutual_inf.transpose();
-            }
-          retval(0) = delay;
-          retval(1) = mutual_inf;
+      if (transposed)
+        {
+          delay          = delay.transpose();
+          if (nargout > 1)
+            mutual_inf     = mutual_inf.transpose();
         }
+      retval(0) = delay;
+      retval(1) = mutual_inf;
     }
   return retval;
 }
